| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Number Plan

Number Plan Definitions and Methods. More...

## Classes
struct | unsp__NumberPlanResult
| Number Plan result. More...
struct | unsp__CreateNumberPlanRequest
| Create Number Plan request. More...
struct | unsp__DeleteNumberPlanRequest
| Delete Number Plan request. More...
struct | unsp__NumberPlanInfo
| Number Plan Information. More...
struct | unsp__GetNumberPlanListData
| Get Number Plan List data. More...
struct | unsp__GetNumberPlanListResult
| Get Number Plan List result. More...
struct | unsp__GetNumberPlanListRequest
| Get Number Plan List request. More...
struct | unsp__NPInfoExtended
| Extended Number Plan Information. More...
struct | unsp__GetNPListExtendedData
| Extended Number Plan List Data. More...
struct | unsp__GetNPListExtendedResult
| Get Number Plan List Extended result. More...
struct | unsp__GetNPListExtendedRequest
| Get Number Plan List Extended request. More...
struct | unsp__GetNumberPlanIDInfoRequest
| Get Number Plan ID Information request. More...
struct | unsp__GetNumberPlanIDInfoData
| Get Number Plan ID Information data. More...
struct | unsp__GetNumberPlanIDInfoResult
| Get Number Plan ID Information result. More...
struct | unsp__UpdateNumberPlanRequest
| Update Number Plan request. More...
struct | unsp__UpdateNumberPlanResult
| Update Number Plan result. More...

## Enumerations
enum | unsp__NumberPlanType { NPTypePNP, NPTypeE164NANP }
| Number Plan Type. More...
enum | unsp__NPSortType { NumberPlanStUnassigned = -1, NumberPlanStNPName }
| Number Plan Sort Type. More...

## Functions
int | unsp__CreateNumberPlan2 (struct unsp__CreateNumberPlanRequest CreateNumberPlanRequest, struct unsp__NumberPlanResult *NumberPlanResult)
| This method creates a Number Plan. More...
int | unsp__DeleteNumberPlan2 (struct unsp__DeleteNumberPlanRequest DeleteNumberPlanRequest, struct unsp__NumberPlanResult *NumberPlanResult)
| This method deletes a number plan with the NumberPlanName provided. More...
int | unsp__GetNumberPlanList2 (struct unsp__GetNumberPlanListRequest GetNumberPlanListRequest, struct unsp__GetNumberPlanListResult *GetNPListResult)
| This method retrieves the specified Numbering Plan information or a list of all existing Number Plans. More...
int | unsp__GetNPListExtended (struct unsp__GetNPListExtendedRequest request, struct unsp__GetNPListExtendedResult *result)
| This method retrieves extended information about the specified Numbering Plan information or a list of all existing Number Plans. More...
int | unsp__GetNumberPlanIDInfo (struct unsp__GetNumberPlanIDInfoRequest NumberPlanIDInfoRequest, struct unsp__GetNumberPlanIDInfoResult *NumberPlanIDInfoResult)
| This method retrieves the information about Numbering Plan IDs currently in use on the system. More...
int | unsp__UpdateNumberPlan (struct unsp__UpdateNumberPlanRequest NumberPlanRequest, struct unsp__UpdateNumberPlanResult *NumberPlanResult)
| This method is used to update the Name and BG reservation information of the Number. More...

## Detailed Description

Number Plan Definitions and Methods.

A numbering plan refers to either a Private Numbering Plan (PNP) or the System Default Numbering Plan (E164NANP). The methods described in this section may be used for both PNPs and for the E164NANP, where applicable.

The private numbering plan is a customized plan for business group customers. A business group could be assigned with many numbering plans and all subscribers belonging to that business group could be covered by different Private numbering plan of that business group. A PNP (Private Numbering Plan) is used in a private network by subscribers belonging to either a Tenant, Business, or VPN group. A single OpenScape Voice system supports up to 5999 PNPs.

Note
  The common numbering plan is used to contain the common dialing plan for the business group. There can only be one common numbering plan per business group.

## Enumeration Type Documentation

## ◆ unsp__NPSortType

enum unsp__NPSortType

Number Plan Sort Type.

Enumerator
NumberPlanStUnassigned | Unassigned.
NumberPlanStNPName | Number Plan Name.

## ◆ unsp__NumberPlanType

enum unsp__NumberPlanType

Number Plan Type.

Enumerator
NPTypePNP | Private Number Plan.
NPTypeE164NANP | E164NANP.

## Function Documentation

## ◆ unsp__CreateNumberPlan2()

unsp__CreateNumberPlan2 | ( | struct unsp__CreateNumberPlanRequest | CreateNumberPlanRequest,
|  | struct unsp__NumberPlanResult * | NumberPlanResult
| ) |  |

This method creates a Number Plan.

Parameters

  CreateNumberPlanRequest | API request
  NumberPlanResult | API result MP2 command: NPCREATE [Attributes]

## ◆ unsp__DeleteNumberPlan2()

unsp__DeleteNumberPlan2 | ( | struct unsp__DeleteNumberPlanRequest | DeleteNumberPlanRequest,
|  | struct unsp__NumberPlanResult * | NumberPlanResult
| ) |  |

This method deletes a number plan with the NumberPlanName provided.

Note that a number plan cannot be deleted if there are existing references to it, including if it is configured as the BG Common Number Plan for any BG.

Parameters

  DeleteNumberPlanRequest | API request
  NumberPlanResult | API result MP2 command: NPREMOVE [Attributes]

## ◆ unsp__GetNPListExtended()

unsp__GetNPListExtended | ( | struct unsp__GetNPListExtendedRequest | request,
|  | struct unsp__GetNPListExtendedResult * | result
| ) |  |

This method retrieves extended information about the specified Numbering Plan information or a list of all existing Number Plans.

Parameters

  request | API request
  result | API result

## ◆ unsp__GetNumberPlanIDInfo()

unsp__GetNumberPlanIDInfo | ( | struct unsp__GetNumberPlanIDInfoRequest | NumberPlanIDInfoRequest,
|  | struct unsp__GetNumberPlanIDInfoResult * | NumberPlanIDInfoResult
| ) |  |

This method retrieves the information about Numbering Plan IDs currently in use on the system.

Parameters

  NumberPlanIDInfoRequest | API request
  NumberPlanIDInfoResult | API result

## ◆ unsp__GetNumberPlanList2()

unsp__GetNumberPlanList2 | ( | struct unsp__GetNumberPlanListRequest | GetNumberPlanListRequest,
|  | struct unsp__GetNumberPlanListResult * | GetNPListResult
| ) |  |

This method retrieves the specified Numbering Plan information or a list of all existing Number Plans.

If a Number Plan Name is specified, only the specified Number Plan is returned if it exists. If the Number Plan Name is not specified, all the Number Plans are retrieved.

Parameters

  GetNumberPlanListRequest | API request
  GetNPListResult | API result

## ◆ unsp__UpdateNumberPlan()

unsp__UpdateNumberPlan | ( | struct unsp__UpdateNumberPlanRequest | NumberPlanRequest,
|  | struct unsp__UpdateNumberPlanResult * | NumberPlanResult
| ) |  |

This method is used to update the Name and BG reservation information of the Number.

If the specified numbering plan is not reserved for a BG originally, it can be updated to be reserved for an existing BG. If it is already reserved for a BG, but not assigned to a BGL, it can be reserved for another existing BG or un-reserved from the currently reserved-for BG. If the numbering plan provided is already reserved for a BG and already assigned to some BGL, it shall not be reserved for another BG or un-reserved from the currently reserved-for BG.

Parameters

  NumberPlanRequest | API request
  NumberPlanResult | API result